<?php
/**
 * Archive Pages
 *
 * @package Realestate
 */

$menus['blog-archive'] = array(
	'icon'  => 'fa-archive',
	'title' => esc_html__( 'Archives', 'real-estate' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the archive pages.', 'real-estate' ),
);

$sections['blog-archive'] = array(
	array(
		'id'    => 'archive_post_title_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Archive Post Font', 'real-estate' ),
	),
	array(
		'id'    => 'archive_post_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Title Font', 'real-estate' ),
		'std'   => array(
			'preview-text'   => 'Post Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Barlow',
			'font-weight'    => '700',
			'font-size'      => '32px',
			'line-height'    => '1.1875',
			'margin-top'     => realestate_px2rem( '13px' ),
			'color'          => '#191f37',
			'additional-css' => 'letter-spacing: -0.384px;',
			'css-selectors'  => '.latestPost .title a, .archive .latestPost .title a, .search .latestPost .title a, .archive [class^="more-page"] .latestPost .title a, .search [class^="more-page"] .latestPost .title a',
		),
	),
	array(
		'id'    => 'archive_post_excerpt_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Excerpt Font', 'real-estate' ),
		'std'   => array(
			'preview-text'  => 'Post Excerpt Font',
			'preview-color' => 'light',
			'font-family'   => 'Source Sans Pro',
			'font-weight'   => '400',
			'font-size'     => '18px',
			'line-height'   => '1.556',
			'margin-top'    => realestate_px2rem( '14px' ),
			'color'         => '#5e6273',
			'css-selectors' => '.archive .latestPost .front-view-content, .search .latestPost .front-view-content, .archive [class^="more-page"] .latestPost .front-view-content, .search [class^="more-page"] .latestPost .front-view-content',
		),
	),
	array(
		'id'    => 'archive_meta_info_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Archive Meta Info', 'real-estate' ),
	),
	array(
		'id'       => 'archive_post_meta_info',
		'type'     => 'layout2',
		'title'    => esc_html__( 'Post Meta Info', 'real-estate' ),
		'sub_desc' => esc_html__( 'Organize how you want the post meta info to appear on archive pages', 'real-estate' ),
		'options'  => array(
			'enabled'  => array(
				'author'   => array(
					'label'     => esc_html__( 'Author', 'real-estate' ),
					'subfields' => array(
						array(
							'id'       => 'show_author_pic_archive',
							'type'     => 'switch',
							'title'    => esc_html__( 'Show Author Image', 'real-estate' ),
							'sub_desc' => esc_html__( 'Show/Hide author image with this option.', 'real-estate' ),
							'std'      => '1',
						),
						array(
							'id'    => 'archive_meta_info_author_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'real-estate' ),
						),
					),
				),
				'date'     => array(
					'label'     => esc_html__( 'Date', 'real-estate' ),
					'subfields' => array(
						array(
							'id'    => 'archive_meta_info_date_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'real-estate' ),
							'std'   => 'calendar-o',
						),
					),
				),
				'category' => array(
					'label'     => esc_html__( 'Categories', 'pets' ),
					'subfields' => array(
						array(
							'id'    => 'archive_meta_info_category_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'pets' ),
							'std'   => 'tag',
						),
					),
				),
			),
			'disabled' => array(
				'comment' => array(
					'label'     => esc_html__( 'Comment Count', 'real-estate' ),
					'subfields' => array(
						array(
							'id'    => 'archive_meta_info_comment_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'real-estate' ),
							'std'   => 'comment-o',
						),
					),
				),
			),
		),
		'std'      => array(
			'enabled'  => array(
				'author'   => array(
					'label'     => esc_html__( 'Author', 'real-estate' ),
					'subfields' => array(
						array(
							'id'       => 'show_author_pic_archive',
							'type'     => 'switch',
							'title'    => esc_html__( 'Show Author Image', 'real-estate' ),
							'sub_desc' => esc_html__( 'Show/Hide author image with this option.', 'real-estate' ),
							'std'      => '1',
						),
						array(
							'id'    => 'archive_meta_info_author_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'real-estate' ),
						),
					),
				),
				'date'     => array(
					'label'     => esc_html__( 'Date', 'real-estate' ),
					'subfields' => array(
						array(
							'id'    => 'archive_meta_info_date_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'real-estate' ),
							'std'   => 'calendar-o',
						),
					),
				),
				'category' => array(
					'label'     => esc_html__( 'Categories', 'pets' ),
					'subfields' => array(
						array(
							'id'    => 'archive_meta_info_category_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'pets' ),
							'std'   => 'tag',
						),
					),
				),
			),
			'disabled' => array(
				'comment' => array(
					'label'     => esc_html__( 'Comment Count', 'real-estate' ),
					'subfields' => array(
						array(
							'id'    => 'archive_meta_info_comment_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'real-estate' ),
							'std'   => 'comment-o',
						),
					),
				),
			),
		),
	),
	array(
		'id'    => 'archive_meta_info_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Meta Info Typography', 'real-estate' ),
		'std'   => array(
			'preview-text'  => 'Post Meta Info Font',
			'preview-color' => 'light',
			'font-family'   => 'Source Sans Pro',
			'font-weight'   => '700',
			'font-size'     => '15px',
			'margin-top'    => realestate_px2rem( '30px' ),
			'color'         => '#616470',
			'css-selectors' => '.archive .latestPost .post-info, .archive .latestPost .post-info a, .search .latestPost .post-info, .search .latestPost .post-info a',
		),
	),
);
