<?php
/**
 * Footer Styling
 *
 * @package Realestate
 */

$menus['footer']['child']['footer-styling'] = array(
	'title' => esc_html__( 'Styling', 'real-estate' ),
	'desc'  => esc_html__( 'From here, you can control the styling of footer section.', 'real-estate' ),
);

$footer_dependency = array(
	'relation' => 'and',
	array(
		'field'      => 'mts_top_footer',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['footer-styling'] = array(

	array(
		'id'         => 'mts_top_footer_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Footer Margin', 'real-estate' ),
		'sub_desc'   => esc_html__( 'Set footer margin from here.', 'real-estate' ),
		'std'        => array(
			'top'    => realestate_px2rem( '99px' ),
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
		'dependency' => $footer_dependency,
	),
	array(
		'id'         => 'mts_top_footer_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Footer Padding', 'real-estate' ),
		'sub_desc'   => esc_html__( 'Set footer padding from here.', 'real-estate' ),
		'std'        => array(
			'top'    => realestate_px2rem( '74px' ),
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
		'dependency' => $footer_dependency,
	),

	array(
		'id'         => 'mts_footer_background',
		'type'       => 'background',
		'title'      => esc_html__( 'Footer Background', 'real-estate' ),
		'sub_desc'   => esc_html__( 'Set footer background color, pattern and image from here.', 'real-estate' ),
		'options'    => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'color'         => '',
			'use'           => 'upload',
			'image_pattern' => 'nobg',
			'image_upload'  => get_template_directory_uri() . '/images/footer-bg.jpg',
			'repeat'        => 'no-repeat',
			'attachment'    => 'scroll',
			'position'      => 'center top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
		'dependency' => $footer_dependency,
	),

	array(
		'id'    => 'copyrights_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Copyrights Styling', 'real-estate' ),
	),

	array(
		'id'       => 'mts_copyrights_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Copyrights Background', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set copyrights background color, pattern and image from here.', 'real-estate' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#121525',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'copyrights_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'real-estate' ),
		'sub_desc' => esc_html__( 'Select border', 'real-estate' ),
	),
	array(
		'id'       => 'copyrights_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Copyrights Margin', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set copyrights margin from here.', 'real-estate' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'copyrights_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Copyrights Padding', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set copyrights padding from here.', 'real-estate' ),
		'std'      => array(
			'top'    => realestate_px2rem( '31px' ),
			'right'  => '0',
			'bottom' => realestate_px2rem( '30px' ),
			'left'   => '0',
		),
	),

);
