<?php
/**
 * Header Slider
 *
 * @package Realestate
 */

$menus['header']['child']['header-slider'] = array(
	'title' => esc_html__( 'Slider Section', 'real-estate' ),
	'desc'  => esc_html__( 'From here, you can control the header slider section.', 'real-estate' ),
);

// Dependency check that back to top option is enable.
$slider_dependency = array(
	'relation' => 'and',
	array(
		'field'      => 'header_slider',
		'value'      => '1',
		'comparison' => '==',
	),
);

$slide_text = 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Donec odio. Quisque volutpat mattis eros. Nullam malesuada erat ut turpis. Suspendisse urna nibh, viverra non.';

$sections['header-slider'] = array(

	array(
		'id'       => 'header_slider',
		'type'     => 'switch',
		'title'    => esc_html__( 'Slider Section', 'real-estate' ),
		'sub_desc' => esc_html__( 'Enable or disable back to top button with this option.', 'real-estate' ),
		'std'      => '1',
	),

	array(
		'id'         => 'slider_list',
		'type'       => 'group',
		'title'      => esc_html__( 'Slider', 'real-estate' ),
		'sub_desc'   => esc_html__( 'Edit slider from here, appearing on the header slider section.', 'real-estate' ),
		'groupname'  => esc_html__( 'Slide', 'real-estate' ),
		'subfields'  => array(
			array(
				'id'    => 'slider_list_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'real-estate' ),
			),
			array(
				'id'    => 'slider_list_text',
				'type'  => 'textarea',
				'title' => esc_html__( 'Text', 'real-estate' ),
			),
			array(
				'id'    => 'slider_button_text',
				'type'  => 'text',
				'title' => esc_html__( 'Button Text', 'real-estate' ),
			),
			array(
				'id'    => 'slider_button_url',
				'type'  => 'text',
				'title' => esc_html__( 'Button URL', 'real-estate' ),
			),
			array(
				'id'       => 'slider_list_image',
				'type'     => 'upload',
				'title'    => esc_html__( 'Upload Image', 'real-estate' ),
				'sub_desc' => esc_html__( 'Select an image file. Recommended size: 1366 X 640 in px.', 'real-estate' ),
			),
			array(
				'id'    => 'slider_list_overlay',
				'type'  => 'color',
				'title' => esc_html__( 'Overlay Color', 'real-estate' ),
				'args'  => array( 'opacity' => true ),
			),
		),
		'std'        => array(
			'1' => array(
				'group_sort'          => '1',
				'slider_list_title'   => 'The future of real estate.',
				'slider_list_text'    => $slide_text,
				'slider_button_text'  => 'Learn More',
				'slider_button_url'   => '#',
				'slider_list_image'   => get_template_directory_uri() . '/images/slide-1.jpg',
				'slider_list_overlay' => 'rgba(25,31,55,0.651)',
			),
			'2' => array(
				'group_sort'          => '2',
				'slider_list_title'   => 'The future of real estate.',
				'slider_list_text'    => $slide_text,
				'slider_button_text'  => 'Learn More',
				'slider_button_url'   => '#',
				'slider_list_image'   => get_template_directory_uri() . '/images/slide-2.jpg',
				'slider_list_overlay' => 'rgba(25,31,55,0.651)',
			),
			'3' => array(
				'group_sort'          => '3',
				'slider_list_title'   => 'The future of real estate.',
				'slider_list_text'    => $slide_text,
				'slider_button_text'  => 'Learn More',
				'slider_button_url'   => '#',
				'slider_list_image'   => get_template_directory_uri() . '/images/slide-3.jpg',
				'slider_list_overlay' => 'rgba(25,31,55,0.651)',
			),
		),
		'dependency' => $slider_dependency,
	),

	array(
		'id'         => 'slider_autoplay',
		'type'       => 'switch',
		'title'      => esc_html__( 'Enable Auto Play', 'real-estate' ),
		'sub_desc'   => esc_html__( 'Enable or disable auto play with this option.', 'real-estate' ),
		'std'        => '1',
		'dependency' => $slider_dependency,
	),

	array(
		'id'         => 'slider_type_heading',
		'type'       => 'heading',
		'title'      => esc_html__( 'Typography Settings', 'real-estate' ),
		'dependency' => $slider_dependency,
	),

	array(
		'id'         => 'slider_title_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Title Font', 'real-estate' ),
		'std'        => array(
			'preview-text'   => 'The future of real estate.',
			'preview-color'  => 'dark',
			'font-family'    => 'Barlow',
			'font-weight'    => '700',
			'font-size'      => '80px',
			'line-height'    => '0.875',
			'color'          => '#ffffff',
			'additional-css' => 'letter-spacing: -0.96px;',
			'css-selectors'  => '.slider-section .title',
		),
		'dependency' => $slider_dependency,
	),
	array(
		'id'         => 'slider_content_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Content Font', 'real-estate' ),
		'std'        => array(
			'preview-text'  => $slide_text,
			'preview-color' => 'dark',
			'font-family'   => 'Source Sans Pro',
			'font-weight'   => '400',
			'font-size'     => '17px',
			'line-height'   => '1.53',
			'margin-top'    => realestate_px2rem( '22px' ),
			'color'         => '#ffffff',
			'css-selectors' => '.slider-section p',
		),
		'dependency' => $slider_dependency,
	),

	array(
		'id'         => 'slider_general_heading',
		'type'       => 'heading',
		'title'      => esc_html__( 'General Settings', 'real-estate' ),
		'dependency' => $slider_dependency,
	),

	array(
		'id'       => 'slider_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set slider margin from here.', 'real-estate' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'slider_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set slider padding from here.', 'real-estate' ),
		'std'      => array(
			'top'    => realestate_px2rem( '234px' ),
			'right'  => '0',
			'bottom' => realestate_px2rem( '80px' ),
			'left'   => '0',
		),
	),

);
