<?php
/**
 * Header Tab
 *
 * @package Realestate
 */

$menus['header'] = array(
	'icon'  => 'fa-header',
	'title' => esc_html__( 'Header', 'real-estate' ),
);

$menus['header']['child']['header-general'] = array(
	'title' => esc_html__( 'General', 'real-estate' ),
	'desc'  => esc_html__( 'From here, you can control the elements of header section.', 'real-estate' ),
);

$default_header = array(
	'relation' => 'and',
	array(
		'field'      => 'header_styles',
		'value'      => 'header-layout2',
		'comparison' => '!=',
	),
);

$header2_only = array(
	'relation' => 'and',
	array(
		'field'      => 'header_styles',
		'value'      => 'header-layout2',
		'comparison' => '==',
	),
);

$sections['header-general'] = array(

	array(
		'id'       => 'header_styles',
		'type'     => 'radio_img',
		'title'    => esc_html__( 'Header Styling', 'real-estate' ),
		'sub_desc' => wp_kses( __( 'Choose the <strong>Header design</strong> for your site.', 'real-estate' ), array( 'strong' => '' ) ),
		'options'  => array(
			'header-default' => array( 'img' => $uri . 'headers/header-default.jpg' ),
			'header-layout2' => array( 'img' => $uri . 'headers/header-layout2.jpg' ),
		),
		'std'      => 'header-default',
	),

	array(
		'id'    => 'header_general_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Header General Settings', 'real-estate' ),
	),

	array(
		'id'       => 'sticky_nav',
		'type'     => 'switch',
		'title'    => esc_html__( 'Floating Navigation Menu', 'real-estate' ),
		// translators: Floating Navigation Menu with strong tag.
		'sub_desc' => sprintf( esc_html__( 'Use this button to enable %s.', 'real-estate' ), '<strong>' . esc_html__( 'Floating Navigation Menu', 'real-estate' ) . '</strong>' ),
		'std'      => '0',
	),

	array(
		'id'       => 'header_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Header Margin', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set header margin from here.', 'real-estate' ),
		'left'     => false,
		'right'    => false,
		'std'      => array(
			'top'    => '0',
			'bottom' => '0',
		),
	),
	array(
		'id'       => 'header_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Header Padding', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set header padding from here.', 'real-estate' ),
		'left'     => false,
		'right'    => false,
		'std'      => array(
			'top'    => realestate_px2rem( '48px' ),
			'bottom' => realestate_px2rem( '48px' ),
		),
	),

	array(
		'id'       => 'header_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'real-estate' ),
		'sub_desc' => esc_html__( 'Select border.', 'real-estate' ),
	),

	array(
		'id'         => 'header_background',
		'type'       => 'background',
		'title'      => esc_html__( 'Header Background', 'real-estate' ),
		'sub_desc'   => esc_html__( 'Set background color, pattern and image from here.', 'real-estate' ),
		'options'    => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'color'         => '',
			'use'           => 'upload',
			'image_pattern' => 'nobg',
			'image_upload'  => get_template_directory_uri() . '/images/header-bg.jpg',
			'repeat'        => 'no-repeat',
			'attachment'    => 'scroll',
			'position'      => 'center center',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
		'dependency' => $default_header,
	),
	array(
		'id'         => 'header_layout2_background',
		'type'       => 'background',
		'title'      => esc_html__( 'Header Background', 'real-estate' ),
		'sub_desc'   => esc_html__( 'Set background color, pattern and image from here.', 'real-estate' ),
		'options'    => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'color'         => '#191f37',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
		'dependency' => $header2_only,
	),

	array(
		'id'       => 'hide_logo',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Logo', 'real-estate' ),
		'sub_desc' => wp_kses( __( 'Use this button to Show or Hide the <strong>Logo</strong> completely.', 'real-estate' ), array( 'strong' => '' ) ),
		'std'      => '1',
	),

	array(
		'id'         => 'show_searchbox',
		'type'       => 'switch',
		'title'      => esc_html__( 'Show Search box', 'real-estate' ),
		'sub_desc'   => wp_kses( __( 'Use this button to Show or Hide the <strong>Search box</strong> completely.', 'real-estate' ), array( 'strong' => '' ) ),
		'std'        => '1',
		'dependency' => $header2_only,
	),

	// Nav Settings.
	array(
		'id'    => 'header_nav_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Nav Settings', 'real-estate' ),
	),

	array(
		'id'       => 'main_nav_hover_color',
		'type'     => 'color',
		'title'    => esc_html__( 'Nav Hover Color', 'real-estate' ),
		'sub_desc' => esc_html__( 'Select hover color for navigation from here.', 'real-estate' ),
		'std'      => '#a0c6d3',
	),
	array(
		'id'       => 'main_nav_dropdown_bg',
		'type'     => 'color',
		'title'    => esc_html__( 'Dropdown Background Color', 'real-estate' ),
		'sub_desc' => esc_html__( 'Select dropdown background color for navigation from here.', 'real-estate' ),
		'std'      => '#ffffff',
	),
	array(
		'id'       => 'main_navigation_dropdown_color',
		'type'     => 'color',
		'title'    => esc_html__( 'Dropdown Text Color', 'real-estate' ),
		'sub_desc' => esc_html__( 'Select dropdown text color for navigation from here.', 'real-estate' ),
		'std'      => '#191f37',
	),
	array(
		'id'       => 'main_navigation_dropdown_hover_color',
		'type'     => 'color',
		'title'    => esc_html__( 'Dropdown Text Hover Color', 'real-estate' ),
		'sub_desc' => esc_html__( 'Select dropdown text hover color for navigation from here.', 'real-estate' ),
		'std'      => '#709aa8',
	),

	// Contact Settings.
	array(
		'id'         => 'header_contact_heading',
		'type'       => 'heading',
		'title'      => esc_html__( 'Contact Settings', 'real-estate' ),
		'dependency' => $default_header,
	),

	array(
		'id'         => 'header_contact_list',
		'type'       => 'group',
		'title'      => esc_html__( 'Contact Info', 'real-estate' ),
		'sub_desc'   => esc_html__( 'Add contact info from here, appearing on the header.', 'real-estate' ),
		'groupname'  => esc_html__( 'Info', 'real-estate' ),
		'subfields'  => array(
			array(
				'id'    => 'header_contact_text',
				'type'  => 'text',
				'title' => esc_html__( 'Text', 'real-estate' ),
			),
			array(
				'id'    => 'header_contact_url',
				'type'  => 'text',
				'title' => esc_html__( 'URL', 'real-estate' ),
			),
		),
		'std'        => array(
			'1' => array(
				'group_sort'          => '1',
				'header_contact_text' => '0 (123) 456 789',
				'header_contact_url'  => 'tel:0123456789',
			),
			'2' => array(
				'group_sort'          => '2',
				'header_contact_text' => 'info@yourdomain.com',
				'header_contact_url'  => 'mailto:info@yourdomain.com',
			),
		),
		'dependency' => $default_header,
	),

	array(
		'id'         => 'header_contact_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Contact info Font', 'real-estate' ),
		'std'        => array(
			'preview-text'   => 'Contact info Font',
			'preview-color'  => 'dark',
			'font-family'    => 'Barlow',
			'font-weight'    => '700',
			'font-size'      => '18px',
			'color'          => '#ffffff',
			'additional-css' => 'letter-spacing: -0.216px;',
			'css-selectors'  => '.contact-container a, .contact-container span',
		),
		'dependency' => $default_header,
	),

);
