<?php
/**
 * HomePage About Section
 *
 * @package Realestate
 */

$menus['homepage']['child']['homepage-about'] = array(
	'title' => esc_html__( 'About Us', 'real-estate' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the About us Section.', 'real-estate' ),
);

$about_text = '<p>Etiam aliquet metus id risus feugiat pulvinar. Nunc vitae nunc eu mi molestie iaculis. Proin eget tristique sem, sit amet sodales lorem. Curabitur et ante posuere magna varius tincidunt.</p>

<p>Aenean nec orci ut diam vulputate posuere in non neque. Ut sit amet commodo justo. Quisque sit amet ex fermentum, pulvinar eros id, pharetra lorem. Suspendisse accumsan enim non nisi molestie dignissim. Duis ultrices, velit vel ornare lobortis, ex lacus laoreet turpis.</p>';

$blockquote = '“ We are building a fire, and everyday we train, we add more fuel. At just the right moment, we light the match. “';

$sections['homepage-about'] = array(

	// Left Section.
	array(
		'id'    => 'about_left_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Left Section Settings', 'real-estate' ),
	),

	array(
		'id'       => 'about_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Title', 'real-estate' ),
		'sub_desc' => esc_html__( 'Enter title for about section.', 'real-estate' ),
		'std'      => 'Who we are',
	),
	array(
		'id'       => 'about_text',
		'type'     => 'editor',
		'title'    => esc_html__( 'Text', 'real-estate' ),
		'sub_desc' => esc_html__( 'Enter text for about section.', 'real-estate' ),
		'std'      => $about_text,
	),
	array(
		'id'       => 'about_button_text',
		'type'     => 'text',
		'title'    => esc_html__( 'Button Text', 'real-estate' ),
		'sub_desc' => esc_html__( 'Enter button text for about section.', 'real-estate' ),
		'std'      => 'Learn More',
	),
	array(
		'id'       => 'about_button_url',
		'type'     => 'text',
		'title'    => esc_html__( 'Button URL', 'real-estate' ),
		'sub_desc' => esc_html__( 'Enter button URL for about section.', 'real-estate' ),
		'std'      => '#',
	),

	// Right Section.
	array(
		'id'    => 'about_right_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Right Section Settings', 'real-estate' ),
	),

	array(
		'id'       => 'about_quote',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Quote', 'real-estate' ),
		'sub_desc' => esc_html__( 'Enter quote for about section.', 'real-estate' ),
		'std'      => $blockquote,
	),
	array(
		'id'       => 'about_author',
		'type'     => 'text',
		'title'    => esc_html__( 'Author Name', 'real-estate' ),
		'sub_desc' => esc_html__( 'Enter author name for about section.', 'real-estate' ),
		'std'      => 'The Whole Team',
	),

	// Typography Settings.
	array(
		'id'    => 'about_typo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Typography Settings', 'real-estate' ),
	),

	array(
		'id'    => 'about_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Section Title Font', 'real-estate' ),
		'std'   => array(
			'preview-text'   => 'Our Work',
			'preview-color'  => 'light',
			'font-family'    => 'Barlow',
			'font-weight'    => '700',
			'font-size'      => '48px',
			'color'          => '#191f37',
			'additional-css' => 'letter-spacing: -0.576px;',
			'css-selectors'  => '.about-section .section-title',
		),
	),

	array(
		'id'    => 'about_content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'About Content Font', 'real-estate' ),
		'std'   => array(
			'preview-text'  => $about_text,
			'preview-color' => 'light',
			'font-family'   => 'Source Sans Pro',
			'font-weight'   => '400',
			'font-size'     => '17px',
			'line-height'   => '1.53',
			'margin-top'    => realestate_px2rem( '22px' ),
			'color'         => '#191f37',
			'css-selectors' => '.about-section .content',
		),
	),

	array(
		'id'    => 'about_quote_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Quote Font', 'real-estate' ),
		'std'   => array(
			'preview-text'   => $blockquote,
			'preview-color'  => 'light',
			'font-family'    => 'Barlow',
			'font-weight'    => '400',
			'font-size'      => '28px',
			'line-height'    => '1.43',
			'color'          => '#191f37',
			'additional-css' => 'letter-spacing: -0.336px;',
			'css-selectors'  => '.about-section .quote',
		),
	),
	array(
		'id'    => 'about_author_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Quote Font', 'real-estate' ),
		'std'   => array(
			'preview-text'   => 'The Whole Team',
			'preview-color'  => 'light',
			'font-family'    => 'Barlow',
			'font-weight'    => '400',
			'font-size'      => '20px',
			'color'          => '#8c8f9b',
			'additional-css' => 'font-style: italic; letter-spacing: -0.336px;',
			'css-selectors'  => '.about-section .author',
		),
	),

	array(
		'id'    => 'about_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Styling Settings', 'real-estate' ),
	),

	array(
		'id'       => 'about_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Section Background', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'real-estate' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'about_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set about section margin from here.', 'real-estate' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'about_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set about section padding from here.', 'real-estate' ),
		'std'      => array(
			'top'    => realestate_px2rem( '162px' ),
			'right'  => '0',
			'bottom' => realestate_px2rem( '88px' ),
			'left'   => '0',
		),
	),

);
