<?php
/**
 * HomePage Clients Section
 *
 * @package Realestate
 */

$menus['homepage']['child']['homepage-clients'] = array(
	'title' => esc_html__( 'Clients', 'real-estate' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Clients Section.', 'real-estate' ),
);

$clients_text = 'Etiam aliquet metus id risus feugiat pulvinar. Nunc vitae nunc eu mi molestie iaculis. Proin eget tristique sem, sit amet sodales lorem. Curabitur et ante posuere magna varius tincidunt.';

$sections['homepage-clients'] = array(

	array(
		'id'       => 'clients_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Title', 'real-estate' ),
		'sub_desc' => esc_html__( 'Enter title for clients section.', 'real-estate' ),
		'std'      => 'Clients & Partners',
	),
	array(
		'id'       => 'clients_text',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Text', 'real-estate' ),
		'sub_desc' => esc_html__( 'Enter text for clients section.', 'real-estate' ),
		'std'      => $clients_text,
	),

	array(
		'id'        => 'clients_list',
		'type'      => 'group',
		'title'     => esc_html__( 'Clients', 'real-estate' ),
		'sub_desc'  => esc_html__( 'Customize the Clients from here.', 'real-estate' ),
		'groupname' => esc_html__( 'Client', 'real-estate' ), // Group name.
		'subfields' => array(
			array(
				'id'    => 'clients_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'real-estate' ),
			),
			array(
				'id'     => 'clients_image',
				'type'   => 'upload',
				'title'  => esc_html__( 'Image', 'real-estate' ),
				'return' => 'url',
			),
		),
		'std'       => array(
			'1' => array(
				'group_title'   => '1',
				'group_sort'    => '1',
				'clients_title' => '1',
				'clients_image' => get_template_directory_uri() . '/images/client1.png',
			),
			'2' => array(
				'group_title'   => '2',
				'group_sort'    => '2',
				'clients_title' => '2',
				'clients_image' => get_template_directory_uri() . '/images/client2.png',
			),
			'3' => array(
				'group_title'   => '3',
				'group_sort'    => '3',
				'clients_title' => '3',
				'clients_image' => get_template_directory_uri() . '/images/client3.png',
			),
			'4' => array(
				'group_title'   => '4',
				'group_sort'    => '4',
				'clients_title' => '4',
				'clients_image' => get_template_directory_uri() . '/images/client4.png',
			),
			'5' => array(
				'group_title'   => '5',
				'group_sort'    => '5',
				'clients_title' => '5',
				'clients_image' => get_template_directory_uri() . '/images/client5.png',
			),
			'6' => array(
				'group_title'   => '6',
				'group_sort'    => '6',
				'clients_title' => '6',
				'clients_image' => get_template_directory_uri() . '/images/client6.png',
			),
		),
	),

	// Typography Settings.
	array(
		'id'    => 'clients_typo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Typography Settings', 'real-estate' ),
	),

	array(
		'id'    => 'clients_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Section Title Font', 'real-estate' ),
		'std'   => array(
			'preview-text'   => 'Our Work',
			'preview-color'  => 'light',
			'font-family'    => 'Barlow',
			'font-weight'    => '700',
			'font-size'      => '48px',
			'color'          => '#191f37',
			'additional-css' => 'letter-spacing: -0.576px;',
			'css-selectors'  => '.clients-section .section-title',
		),
	),

	array(
		'id'    => 'clients_content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'About Content Font', 'real-estate' ),
		'std'   => array(
			'preview-text'  => $clients_text,
			'preview-color' => 'light',
			'font-family'   => 'Source Sans Pro',
			'font-weight'   => '400',
			'font-size'     => '17px',
			'line-height'   => '1.53',
			'margin-top'    => realestate_px2rem( '20px' ),
			'color'         => '#191f37',
			'css-selectors' => '.clients-section .content',
		),
	),

	array(
		'id'    => 'clients_general_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Section Settings', 'real-estate' ),
	),

	array(
		'id'       => 'clients_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Section Background', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'real-estate' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'clients_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set clients section margin from here.', 'real-estate' ),
		'std'      => array(
			'top'    => realestate_px2rem( '62px' ),
			'right'  => '0',
			'bottom' => realestate_px2rem( '42px' ),
			'left'   => '0',
		),
	),
	array(
		'id'       => 'clients_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set clients section padding from here.', 'real-estate' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

);
