<?php
/**
 * HomePage Counter Section
 *
 * @package Realestate
 */

$menus['homepage']['child']['homepage-counter'] = array(
	'title' => esc_html__( 'Counter', 'real-estate' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Counter Section.', 'real-estate' ),
);

$sections['homepage-counter'] = array(

	array(
		'id'       => 'counter_number1',
		'type'     => 'text',
		'title'    => esc_html__( 'Counter 1', 'real-estate' ),
		'sub_desc' => esc_html__( 'Enter number for counter section.', 'real-estate' ),
		'args'     => array( 'type' => 'number' ),
		'std'      => '65',
	),
	array(
		'id'       => 'counter_text1',
		'type'     => 'text',
		'title'    => esc_html__( 'Text 1', 'real-estate' ),
		'sub_desc' => esc_html__( 'Enter Text for counter section.', 'real-estate' ),
		'std'      => 'Projects Finished',
	),

	array(
		'id'       => 'counter_number2',
		'type'     => 'text',
		'title'    => esc_html__( 'Counter 2', 'real-estate' ),
		'sub_desc' => esc_html__( 'Enter number for counter section.', 'real-estate' ),
		'args'     => array( 'type' => 'number' ),
		'std'      => '158',
	),
	array(
		'id'       => 'counter_text2',
		'type'     => 'text',
		'title'    => esc_html__( 'Text 2', 'real-estate' ),
		'sub_desc' => esc_html__( 'Enter Text for counter section.', 'real-estate' ),
		'std'      => 'Satisfied Clients',
	),

	array(
		'id'       => 'counter_number3',
		'type'     => 'text',
		'title'    => esc_html__( 'Counter 3', 'real-estate' ),
		'sub_desc' => esc_html__( 'Enter number for counter section.', 'real-estate' ),
		'args'     => array( 'type' => 'number' ),
		'std'      => '27',
	),
	array(
		'id'       => 'counter_text3',
		'type'     => 'text',
		'title'    => esc_html__( 'Text 3', 'real-estate' ),
		'sub_desc' => esc_html__( 'Enter Text for counter section.', 'real-estate' ),
		'std'      => 'Projects in Progress',
	),

	array(
		'id'       => 'counter_number4',
		'type'     => 'text',
		'title'    => esc_html__( 'Counter 4', 'real-estate' ),
		'sub_desc' => esc_html__( 'Enter number for counter section.', 'real-estate' ),
		'args'     => array( 'type' => 'number' ),
		'std'      => '87',
	),
	array(
		'id'       => 'counter_text4',
		'type'     => 'text',
		'title'    => esc_html__( 'Text 4', 'real-estate' ),
		'sub_desc' => esc_html__( 'Enter Text for counter section.', 'real-estate' ),
		'std'      => 'Team Members',
	),

	array(
		'id'    => 'counter_number_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Number Font', 'real-estate' ),
		'std'   => array(
			'preview-text'   => '65',
			'preview-color'  => 'dark',
			'font-family'    => 'Barlow',
			'font-weight'    => '300',
			'font-size'      => '80px',
			'line-height'    => '1',
			'color'          => '#709aa8',
			'additional-css' => 'letter-spacing: -0.96px;',
			'css-selectors'  => '.counter-section .counter',
		),
	),
	array(
		'id'    => 'counter_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Text Font', 'real-estate' ),
		'std'   => array(
			'preview-text'   => 'Projects Finished',
			'preview-color'  => 'dark',
			'font-family'    => 'Source Sans Pro',
			'font-weight'    => '700',
			'font-size'      => '20px',
			'color'          => '#ffffff',
			'additional-css' => 'letter-spacing: -0.24px;',
			'css-selectors'  => '.counter-section p',
		),
	),

	array(
		'id'    => 'counter_general_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Section Settings', 'real-estate' ),
	),

	array(
		'id'       => 'counter_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Section Background', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'real-estate' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'upload',
			'image_pattern' => 'nobg',
			'image_upload'  => get_template_directory_uri() . '/images/counter-bg.jpg',
			'repeat'        => 'no-repeat',
			'attachment'    => 'fixed',
			'position'      => 'center top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'counter_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set counter section margin from here.', 'real-estate' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'counter_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set counter section padding from here.', 'real-estate' ),
		'std'      => array(
			'top'    => realestate_px2rem( '91px' ),
			'right'  => '0',
			'bottom' => realestate_px2rem( '91px' ),
			'left'   => '0',
		),
	),

);
