<?php
/**
 * HomePage Services Section
 *
 * @package Realestate
 */

$menus['homepage']['child']['homepage-services'] = array(
	'title' => esc_html__( 'Our Services', 'real-estate' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Services Section.', 'real-estate' ),
);

$services_text = 'Lorem ipsum dolor sit amet, consecetur adipiscing elit. Fusce quis dolor eu justo accumsan dapibus. Nun sapien nisi.';

$sections['homepage-services'] = array(

	array(
		'id'       => 'services_top_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Section Title', 'real-estate' ),
		'sub_desc' => esc_html__( 'Enter title for services section.', 'real-estate' ),
		'std'      => 'Our Work',
	),

	array(
		'id'    => 'services_section_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Services Settings', 'real-estate' ),
	),

	array(
		'id'        => 'services_list',
		'type'      => 'group',
		'title'     => esc_html__( 'Services', 'real-estate' ),
		'sub_desc'  => esc_html__( 'Add services appearing on the Services section.', 'real-estate' ),
		'groupname' => esc_html__( 'Service', 'real-estate' ),
		'subfields' => array(
			array(
				'id'    => 'services_list_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'real-estate' ),
			),
			array(
				'id'    => 'services_list_icon',
				'type'  => 'icon_select',
				'title' => esc_html__( 'Icon', 'real-estate' ),
			),
			array(
				'id'    => 'services_icon_color',
				'type'  => 'color',
				'title' => esc_html__( 'Icon Color', 'real-estate' ),
			),
			array(
				'id'    => 'services_list_text',
				'type'  => 'textarea',
				'title' => esc_html__( 'Text', 'real-estate' ),
			),
		),
		'std'       => array(
			'1' => array(
				'group_sort'          => '1',
				'services_list_title' => 'Design & Build',
				'services_list_icon'  => 'home',
				'services_icon_color' => '#709aa8',
				'services_list_text'  => $services_text,
			),
			'2' => array(
				'group_sort'          => '2',
				'services_list_title' => 'Condo Remodeling',
				'services_list_icon'  => 'codepen',
				'services_icon_color' => '#709aa8',
				'services_list_text'  => $services_text,
			),
			'3' => array(
				'group_sort'          => '3',
				'services_list_title' => 'Tiling & Painting',
				'services_list_icon'  => 'gavel',
				'services_icon_color' => '#709aa8',
				'services_list_text'  => $services_text,
			),
			'4' => array(
				'group_sort'          => '4',
				'services_list_title' => 'Tiling & Painting',
				'services_list_icon'  => 'gavel',
				'services_icon_color' => '#709aa8',
				'services_list_text'  => $services_text,
			),
			'5' => array(
				'group_sort'          => '5',
				'services_list_title' => 'Hardwood Flooring',
				'services_list_icon'  => 'sheqel',
				'services_icon_color' => '#709aa8',
				'services_list_text'  => $services_text,
			),
			'6' => array(
				'group_sort'          => '6',
				'services_list_title' => 'Construction Management',
				'services_list_icon'  => 'cog',
				'services_icon_color' => '#709aa8',
				'services_list_text'  => $services_text,
			),
			'7' => array(
				'group_sort'          => '7',
				'services_list_title' => 'Construction Management',
				'services_list_icon'  => 'cog',
				'services_icon_color' => '#709aa8',
				'services_list_text'  => $services_text,
			),
			'8' => array(
				'group_sort'          => '8',
				'services_list_title' => 'General Contracting',
				'services_list_icon'  => 'file-text-o',
				'services_icon_color' => '#709aa8',
				'services_list_text'  => $services_text,
			),
			'9' => array(
				'group_sort'          => '9',
				'services_list_title' => 'Design & Build',
				'services_list_icon'  => 'home',
				'services_icon_color' => '#709aa8',
				'services_list_text'  => $services_text,
			),
		),
	),

	array(
		'id'    => 'services_typo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Typography Settings', 'real-estate' ),
	),

	array(
		'id'    => 'services_section_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Section Title Font', 'real-estate' ),
		'std'   => array(
			'preview-text'   => 'Our Work',
			'preview-color'  => 'light',
			'font-family'    => 'Barlow',
			'font-weight'    => '700',
			'font-size'      => '48px',
			'color'          => '#191f37',
			'additional-css' => 'letter-spacing: -0.576px;',
			'css-selectors'  => '.services-section .section-title',
		),
	),

	array(
		'id'    => 'services_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Service Title Font', 'real-estate' ),
		'std'   => array(
			'preview-text'   => 'Services Title',
			'preview-color'  => 'light',
			'font-family'    => 'Barlow',
			'font-weight'    => '700',
			'font-size'      => '24px',
			'line-height'    => '1.167',
			'margin-top'     => realestate_px2rem( '9px' ),
			'color'          => '#191f37',
			'additional-css' => 'letter-spacing: -0.288px;',
			'css-selectors'  => '.services-wrapper .title',
		),
	),
	array(
		'id'    => 'services_content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Services Content Font', 'real-estate' ),
		'std'   => array(
			'preview-text'  => $services_text,
			'preview-color' => 'light',
			'font-family'   => 'Source Sans Pro',
			'font-weight'   => '400',
			'font-size'     => '17px',
			'line-height'   => '1.53',
			'margin-top'    => realestate_px2rem( '15px' ),
			'color'         => '#535769',
			'css-selectors' => '.services-wrapper p',
		),
	),

	array(
		'id'    => 'services_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Styling Settings', 'real-estate' ),
	),

	array(
		'id'       => 'services_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Section Background', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'real-estate' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'services_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set services section margin from here.', 'real-estate' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'services_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set services section padding from here.', 'real-estate' ),
		'std'      => array(
			'top'    => realestate_px2rem( '162px' ),
			'right'  => '0',
			'bottom' => realestate_px2rem( '115px' ),
			'left'   => '0',
		),
	),

);
