<?php
/**
 * HomePage Testimonials Section
 *
 * @package Realestate
 */

$menus['homepage']['child']['homepage-testimonials'] = array(
	'title' => esc_html__( 'Testimonials', 'realestate' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Testimonials Section.', 'realestate' ),
);

$testimonial = '“ Sit amet sodales lorem. Curabitur et ante posuere magna varius tincidunt. Etiam aliquet metus id risus feugiat pulvinar. Nunc vitae nunc eu mi molestie iaculis. Proin eget tristique sem! ”';

$sections['homepage-testimonials'] = array(

	array(
		'id'        => 'testimonials',
		'type'      => 'group',
		'title'     => esc_html__( 'Testimonials', 'realestate' ),
		'sub_desc'  => esc_html__( 'Customize the Testimonials from here.', 'realestate' ),
		'groupname' => esc_html__( 'Testimonial', 'realestate' ), // Group name.
		'subfields' => array(
			array(
				'id'    => 'author_name',
				'type'  => 'text',
				'title' => esc_html__( 'Name', 'realestate' ),
			),
			array(
				'id'    => 'author_site',
				'type'  => 'text',
				'title' => esc_html__( 'Website', 'realestate' ),
			),
			array(
				'id'    => 'author_site_url',
				'type'  => 'text',
				'title' => esc_html__( 'Website URL', 'realestate' ),
			),
			array(
				'id'    => 'author_testimonial',
				'type'  => 'textarea',
				'title' => esc_html__( 'Testimonial', 'realestate' ),
			),
			array(
				'id'    => 'testimonial_bg_color',
				'type'  => 'color',
				'title' => esc_html__( 'Testimonial Background', 'realestate' ),
			),
			array(
				'id'       => 'author_pic',
				'type'     => 'upload',
				'title'    => esc_html__( 'Image', 'realestate' ),
				'sub_desc' => esc_html__( 'Recommended Size: 64 X 64 in pixel.', 'realestate' ),
				'return'   => 'url',
			),
		),
		'std'       => array(
			'1' => array(
				'group_title'          => '1',
				'group_sort'           => '1',
				'author_name'          => 'John Appleseed',
				'author_site'          => 'mythemeshop.com',
				'author_site_url'      => '#',
				'author_testimonial'   => $testimonial,
				'testimonial_bg_color' => '#f4f7f8',
				'author_pic'           => get_template_directory_uri() . '/images/author1.png',
			),
			'2' => array(
				'group_title'          => '2',
				'group_sort'           => '2',
				'author_name'          => 'Willbert Duke',
				'author_site'          => 'mythemeshop.com',
				'author_site_url'      => '#',
				'author_testimonial'   => $testimonial,
				'testimonial_bg_color' => '#f4f7f8',
				'author_pic'           => get_template_directory_uri() . '/images/author2.png',
			),
			'3' => array(
				'group_title'          => '3',
				'group_sort'           => '3',
				'author_name'          => 'Bobby Kim',
				'author_site'          => 'mythemeshop.com',
				'author_site_url'      => '#',
				'author_testimonial'   => $testimonial,
				'testimonial_bg_color' => '#f4f7f8',
				'author_pic'           => get_template_directory_uri() . '/images/author3.png',
			),
		),
	),

	array(
		'id'    => 'author_name_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Author Name Font', 'realestate' ),
		'std'   => array(
			'preview-text'   => 'Author Name',
			'preview-color'  => 'light',
			'font-family'    => 'Barlow',
			'font-weight'    => '700',
			'font-size'      => '20px',
			'margin-top'     => realestate_px2rem( '17px' ),
			'color'          => '#505567',
			'additional-css' => 'letter-spacing: -0.24px;',
			'css-selectors'  => '.testimonials-content h3',
		),
	),
	array(
		'id'    => 'author_site_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Website Font', 'realestate' ),
		'std'   => array(
			'preview-text'  => 'mythemeshop.com',
			'preview-color' => 'light',
			'font-family'   => 'Source Sans Pro',
			'font-weight'   => '400',
			'font-size'     => '16px',
			'margin-top'    => realestate_px2rem( '2px' ),
			'color'         => '#505567',
			'css-selectors' => '.testimonials-content .website',
		),
	),
	array(
		'id'    => 'author_content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Author Content Font', 'realestate' ),
		'std'   => array(
			'preview-text'  => 'Author Content',
			'preview-color' => 'light',
			'font-family'   => 'Source Sans Pro',
			'font-weight'   => '400',
			'font-size'     => '18px',
			'line-height'   => '1.89',
			'margin-top'    => realestate_px2rem( '23px' ),
			'color'         => '#191f37',
			'css-selectors' => '.testimonials-content .testimonial',
		),
	),

	array(
		'id'    => 'testimonials_general_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Section Settings', 'realestate' ),
	),

	array(
		'id'       => 'testimonials_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Testimonials Section Background', 'realestate' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'realestate' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'testimonials_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'realestate' ),
		'sub_desc' => esc_html__( 'Set testimonials section margin from here.', 'realestate' ),
		'std'      => array(
			'top'    => realestate_px2rem( '172px' ),
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'testimonials_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'realestate' ),
		'sub_desc' => esc_html__( 'Set testimonials section padding from here.', 'realestate' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

);
