<?php
/**
 * HomePage Why Us Section
 *
 * @package Realestate
 */

$menus['homepage']['child']['homepage-whyus'] = array(
	'title' => esc_html__( 'Why Us', 'real-estate' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Why Us Section.', 'real-estate' ),
);

$whyus_text = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Phasellus venenatis ipsum at sollicitudin viverra. Praesent tempor diam augue.';

$sections['homepage-whyus'] = array(

	array(
		'id'       => 'whyus_top_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Section Title', 'real-estate' ),
		'sub_desc' => esc_html__( 'Enter title for why us section.', 'real-estate' ),
		'std'      => 'Why Us',
	),

	array(
		'id'    => 'whyus_section_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Why Us Settings', 'real-estate' ),
	),

	array(
		'id'        => 'whyus_list',
		'type'      => 'group',
		'title'     => esc_html__( 'Why Us', 'real-estate' ),
		'sub_desc'  => esc_html__( 'Add whyus appearing on the Why Us section.', 'real-estate' ),
		'groupname' => esc_html__( 'Service', 'real-estate' ),
		'subfields' => array(
			array(
				'id'    => 'whyus_list_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'real-estate' ),
			),
			array(
				'id'    => 'whyus_list_icon',
				'type'  => 'icon_select',
				'title' => esc_html__( 'Icon', 'real-estate' ),
			),
			array(
				'id'    => 'whyus_icon_color',
				'type'  => 'color',
				'title' => esc_html__( 'Icon Color', 'real-estate' ),
			),
			array(
				'id'    => 'whyus_icon_border_color',
				'type'  => 'color',
				'title' => esc_html__( 'Icon Border Color', 'real-estate' ),
			),
			array(
				'id'    => 'whyus_list_text',
				'type'  => 'textarea',
				'title' => esc_html__( 'Text', 'real-estate' ),
			),
		),
		'std'       => array(
			'1' => array(
				'group_sort'              => '1',
				'whyus_list_title'        => 'We Simply Care',
				'whyus_list_icon'         => 'codepen',
				'whyus_icon_color'        => '#ffffff',
				'whyus_icon_border_color' => '#ffffff',
				'whyus_list_text'         => $whyus_text,
			),
			'2' => array(
				'group_sort'              => '2',
				'whyus_list_title'        => 'Awesome Support',
				'whyus_list_icon'         => 'hand-peace-o',
				'whyus_icon_color'        => '#ffffff',
				'whyus_icon_border_color' => '#ffffff',
				'whyus_list_text'         => $whyus_text,
			),
			'3' => array(
				'group_sort'              => '3',
				'whyus_list_title'        => 'Seller Prefer Us',
				'whyus_list_icon'         => 'thumbs-o-up',
				'whyus_icon_color'        => '#ffffff',
				'whyus_icon_border_color' => '#ffffff',
				'whyus_list_text'         => $whyus_text,
			),
			'4' => array(
				'group_sort'              => '4',
				'whyus_list_title'        => 'Expert Guidance',
				'whyus_list_icon'         => 'trophy',
				'whyus_icon_color'        => '#ffffff',
				'whyus_icon_border_color' => '#ffffff',
				'whyus_list_text'         => $whyus_text,
			),
			'5' => array(
				'group_sort'              => '5',
				'whyus_list_title'        => 'Positive Review',
				'whyus_list_icon'         => 'star',
				'whyus_icon_color'        => '#ffffff',
				'whyus_icon_border_color' => '#ffffff',
				'whyus_list_text'         => $whyus_text,
			),
			'6' => array(
				'group_sort'              => '6',
				'whyus_list_title'        => 'Buyers Trust Us',
				'whyus_list_icon'         => 'shield',
				'whyus_icon_color'        => '#ffffff',
				'whyus_icon_border_color' => '#ffffff',
				'whyus_list_text'         => $whyus_text,
			),
		),
	),

	array(
		'id'    => 'whyus_typo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Typography Settings', 'real-estate' ),
	),

	array(
		'id'    => 'whyus_section_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Section Title Font', 'real-estate' ),
		'std'   => array(
			'preview-text'   => 'Our Work',
			'preview-color'  => 'dark',
			'font-family'    => 'Barlow',
			'font-weight'    => '700',
			'font-size'      => '48px',
			'color'          => '#ffffff',
			'additional-css' => 'letter-spacing: -0.576px;',
			'css-selectors'  => '.whyus-section .section-title',
		),
	),

	array(
		'id'    => 'whyus_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Service Title Font', 'real-estate' ),
		'std'   => array(
			'preview-text'   => 'Why Us Title',
			'preview-color'  => 'dark',
			'font-family'    => 'Barlow',
			'font-weight'    => '700',
			'font-size'      => '24px',
			'line-height'    => '1.167',
			'color'          => '#ffffff',
			'additional-css' => 'letter-spacing: -0.288px;',
			'css-selectors'  => '.whyus-wrapper .title',
		),
	),
	array(
		'id'    => 'whyus_content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Why Us Content Font', 'real-estate' ),
		'std'   => array(
			'preview-text'  => $whyus_text,
			'preview-color' => 'dark',
			'font-family'   => 'Source Sans Pro',
			'font-weight'   => '400',
			'font-size'     => '17px',
			'line-height'   => '1.53',
			'margin-top'    => realestate_px2rem( '15px' ),
			'color'         => '#ffffff',
			'css-selectors' => '.whyus-wrapper p',
		),
	),

	array(
		'id'    => 'whyus_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Styling Settings', 'real-estate' ),
	),

	array(
		'id'       => 'whyus_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Section Background', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'real-estate' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#709aa8',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'whyus_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set whyus section margin from here.', 'real-estate' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'whyus_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set whyus section padding from here.', 'real-estate' ),
		'std'      => array(
			'top'    => realestate_px2rem( '110px' ),
			'right'  => '0',
			'bottom' => realestate_px2rem( '38px' ),
			'left'   => '0',
		),
	),

);
