<?php
/**
 * Single AuthorBox
 *
 * @package Realestate
 */

$menus['single-authorbox'] = array(
	'icon'  => 'fa-pencil',
	'title' => esc_html__( 'Author Box', 'real-estate' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of Author box in single posts page.', 'real-estate' ),
);

$sections['single-authorbox'] = array(

	array(
		'id'    => 'authorbox_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Author box Settings', 'real-estate' ),
	),
	array(
		'id'       => 'authorbox_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Author box Background', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image for subscribe box from here.', 'real-estate' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'author_box_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Author Box Title', 'real-estate' ),
		'sub_desc' => esc_html__( 'Enter author box title.', 'real-estate' ),
		'std'      => '',
	),
	array(
		'id'       => 'authorbox_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set Author box margin from here.', 'real-estate' ),
		'std'      => array(
			'top'    => realestate_px2rem( '64px' ),
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'authorbox_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set Author box padding from here.', 'real-estate' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'authorbox_border',
		'type'     => 'border2',
		'title'    => esc_html__( 'Border', 'real-estate' ),
		'sub_desc' => esc_html__( 'Select border', 'real-estate' ),
	),
	array(
		'id'       => 'authorbox_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'real-estate' ),
		'sub_desc' => esc_html__( 'Author box border radius.', 'real-estate' ),
		'std'      => '0',
		'args'     => array( 'type' => 'number' ),
	),

	array(
		'id'    => 'authorbox_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Author Box Title Font', 'real-estate' ),
		'std'   => array(
			'preview-text'   => 'Author Box Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Barlow',
			'font-weight'    => '700',
			'font-size'      => '17px',
			'line-height'    => '1',
			'color'          => '#191f37',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 2.363px;',
			'css-selectors'  => '.postauthor h4',
		),
	),
	array(
		'id'    => 'authorbox_author_name_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Author Box Name Font', 'real-estate' ),
		'std'   => array(
			'preview-text'   => 'Author Box Name Font',
			'preview-color'  => 'light',
			'font-family'    => 'Barlow',
			'font-weight'    => '700',
			'font-size'      => '17px',
			'line-height'    => '1',
			'color'          => '#191f37',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 2.363px;',
			'css-selectors'  => '.postauthor h5, .postauthor h5 a',
		),
	),
	array(
		'id'    => 'authorbox_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Author Box Text Font', 'real-estate' ),
		'std'   => array(
			'preview-text'  => 'Author Box Text Font',
			'preview-color' => 'light',
			'font-family'   => 'Source Sans Pro',
			'font-weight'   => '400',
			'font-size'     => '18px',
			'line-height'   => '1.556',
			'margin-top'    => realestate_px2rem( '12px' ),
			'color'         => '#191f37',
			'css-selectors' => '.postauthor p',
		),
	),

	array(
		'id'    => 'author_img_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Author Image Settings', 'real-estate' ),
	),
	array(
		'id'       => 'author_box_image',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Author Image', 'real-estate' ),
		'sub_desc' => esc_html__( 'Use this button to show/hide author image.', 'real-estate' ),
		'std'      => '1',
	),
	array(
		'id'       => 'single_author_image_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set Author image margin from here.', 'real-estate' ),
		'std'      => array(
			'top'    => '0',
			'right'  => realestate_px2rem( '30px' ),
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'single_author_image_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'real-estate' ),
		'sub_desc' => esc_html__( 'Author image border radius.', 'real-estate' ),
		'std'      => '0',
		'args'     => array( 'type' => 'number' ),
	),

);
