<?php
/**
 * Single Featured
 *
 * @package Realestate
 */

$menus['single-featured'] = array(
	'icon'  => 'fa-list-alt',
	'title' => esc_html__( 'Single Featured', 'real-estate' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of your single featured area.', 'real-estate' ),
);

$featured_dependency = array(
	'relation' => 'and',
	array(
		'field'      => 'single_featured_area',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['single-featured'] = array(

	array(
		'id'       => 'single_featured_area',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Featured Area', 'real-estate' ),
		'sub_desc' => esc_html__( 'Enable or disable featured area in single page with this option.', 'real-estate' ),
		'std'      => '1',
	),

	array(
		'id'         => 'single_featured_overlay',
		'type'       => 'color',
		'title'      => esc_html__( 'Overlay Color', 'real-estate' ),
		'args'       => array( 'opacity' => true ),
		'std'        => 'rgba(25,31,55,0.8)',
		'dependency' => $featured_dependency,
	),

	array(
		'id'         => 'mts_single_headline_meta_info',
		'type'       => 'layout2',
		'title'      => esc_html__( 'Single Meta Info', 'real-estate' ),
		'sub_desc'   => esc_html__( 'Organize how you want the post meta info to appear on single page', 'real-estate' ),
		'options'    => array(
			'enabled'  => array(
				'author'   => array(
					'label'     => esc_html__( 'Author', 'real-estate' ),
					'subfields' => array(
						array(
							'id'       => 'show_author_pic_single',
							'type'     => 'switch',
							'title'    => esc_html__( 'Show Author Image', 'real-estate' ),
							'sub_desc' => esc_html__( 'Show/Hide author image with this option.', 'real-estate' ),
							'std'      => '1',
						),
						array(
							'id'    => 'mts_single_meta_info_author_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'real-estate' ),
						),
					),
				),
				'date'     => array(
					'label'     => esc_html__( 'Date', 'real-estate' ),
					'subfields' => array(
						array(
							'id'    => 'mts_single_meta_info_date_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'real-estate' ),
							'std'   => 'calendar-o',
						),
					),
				),
				'category' => array(
					'label'     => esc_html__( 'Categories', 'pets' ),
					'subfields' => array(
						array(
							'id'    => 'mts_single_meta_info_category_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'pets' ),
							'std'   => 'tag',
						),
					),
				),
			),
			'disabled' => array(
				'comment' => array(
					'label'     => esc_html__( 'Comment Count', 'real-estate' ),
					'subfields' => array(
						array(
							'id'    => 'mts_single_meta_info_comment_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'real-estate' ),
							'std'   => 'comment-o',
						),
					),
				),
			),
		),
		'std'        => array(
			'enabled'  => array(
				'author'   => array(
					'label'     => esc_html__( 'Author', 'real-estate' ),
					'subfields' => array(
						array(
							'id'       => 'show_author_pic_single',
							'type'     => 'switch',
							'title'    => esc_html__( 'Show Author Image', 'real-estate' ),
							'sub_desc' => esc_html__( 'Show/Hide author image with this option.', 'real-estate' ),
							'std'      => '1',
						),
						array(
							'id'    => 'mts_single_meta_info_author_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'real-estate' ),
						),
					),
				),
				'date'     => array(
					'label'     => esc_html__( 'Date', 'real-estate' ),
					'subfields' => array(
						array(
							'id'    => 'mts_single_meta_info_date_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'real-estate' ),
							'std'   => 'calendar-o',
						),
					),
				),
				'category' => array(
					'label'     => esc_html__( 'Categories', 'pets' ),
					'subfields' => array(
						array(
							'id'    => 'mts_single_meta_info_category_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'pets' ),
							'std'   => 'tag',
						),
					),
				),
			),
			'disabled' => array(
				'comment' => array(
					'label'     => esc_html__( 'Comment Count', 'real-estate' ),
					'subfields' => array(
						array(
							'id'    => 'mts_single_meta_info_comment_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'real-estate' ),
							'std'   => 'comment-o',
						),
					),
				),
			),
		),
		'dependency' => $featured_dependency,
	),

	array(
		'id'         => 'single_featured_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Padding', 'real-estate' ),
		'sub_desc'   => esc_html__( 'Set padding from here.', 'real-estate' ),
		'std'        => array(
			'top'    => realestate_px2rem( '206px' ),
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
		'dependency' => $featured_dependency,
	),

	array(
		'id'         => 'single_featured_typo_heading',
		'type'       => 'heading',
		'title'      => esc_html__( 'Typography Styling', 'real-estate' ),
		'dependency' => $featured_dependency,
	),

	array(
		'id'         => 'single_title_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Single Post Title', 'real-estate' ),
		'std'        => array(
			'preview-text'   => 'Single Article Title',
			'preview-color'  => 'dark',
			'font-family'    => 'Barlow',
			'font-weight'    => '700',
			'font-size'      => '40px',
			'line-height'    => '1.2',
			'color'          => '#ffffff',
			'additional-css' => 'letter-spacing: -0.48px;',
			'css-selectors'  => '.single-title',
		),
		'dependency' => $featured_dependency,
	),
	array(
		'id'         => 'mts_single_meta_info_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Single Meta Info Font', 'real-estate' ),
		'std'        => array(
			'preview-text'  => 'Post Meta Info Font',
			'preview-color' => 'dark',
			'font-family'   => 'Source Sans Pro',
			'font-weight'   => '700',
			'font-size'     => '15px',
			'color'         => '#ffffff',
			'css-selectors' => '.single-postinfo-wrapper .post-info, .single-postinfo-wrapper .post-info a',
		),
		'dependency' => $featured_dependency,
	),

);
