<?php
/**
 * Single Styling
 *
 * @package Realestate
 */

$menus['single-styling'] = array(
	'icon'  => 'fa-paint-brush',
	'title' => esc_html__( 'Single Styling', 'real-estate' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of your single posts page.', 'real-estate' ),
);

$sections['single-styling'] = array(

	array(
		'id'    => 'single_title_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Single Titles Styling', 'real-estate' ),
	),

	array(
		'id'       => 'single_title_alignment',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Single Page Title Alignment', 'real-estate' ),
		'sub_desc' => esc_html__( 'Choose the single page title alignment', 'real-estate' ),
		'options'  => array(
			'left'   => esc_html__( 'Left', 'real-estate' ),
			'center' => esc_html__( 'Center', 'real-estate' ),
			'right'  => esc_html__( 'Right', 'real-estate' ),
		),
		'std'      => 'left',
	),

	array(
		'id'       => 'single_title_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Single Page Title Background Color', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'real-estate' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'single_title_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Single Page Title Padding', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set single page title padding from here.', 'real-estate' ),
		'std'      => array(
			'top'    => realestate_px2rem( '7px' ),
			'right'  => '0',
			'bottom' => realestate_px2rem( '8px' ),
			'left'   => realestate_px2rem( '24px' ),
		),
	),
	array(
		'id'       => 'single_title_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'real-estate' ),
		'sub_desc' => esc_html__( 'Select border', 'real-estate' ),
		'std'      => array(
			'color'     => '#709aa8',
			'direction' => 'left',
			'size'      => '4',
			'style'     => 'solid',
		),
	),

	array(
		'id'    => 'mts_single_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Single Styling', 'real-estate' ),
	),

	array(
		'id'       => 'single_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Background', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image of Single, Page, Archive, Search, Category and 404 Page from here.', 'real-estate' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'mts_single_styling_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Single Margin', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set single post margin from here.', 'real-estate' ),
		'left'     => false,
		'right'    => false,
		'std'      => array(
			'top'    => '0',
			'bottom' => '0',
		),
	),
	array(
		'id'       => 'mts_single_styling_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Single Padding', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set single post padding from here.', 'real-estate' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'single_styling_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'real-estate' ),
		'sub_desc' => esc_html__( 'Select border', 'real-estate' ),
	),

	array(
		'id'    => 'single_others_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Other Styling', 'real-estate' ),
	),

	array(
		'id'       => 'tags_bgcolor',
		'type'     => 'color',
		'title'    => esc_html__( 'Tags background color', 'real-estate' ),
		'sub_desc' => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'real-estate' ),
		'std'      => '#eaf0f2',
	),

	array(
		'id'       => 'single_page_titles_font',
		'type'     => 'typography',
		'title'    => esc_html__( 'Single Sections Title', 'real-estate' ),
		'sub_desc' => esc_html__( 'Manage Title typography of Tags, Related Posts, Comments and Reply from here.', 'real-estate' ),
		'std'      => array(
			'preview-text'   => 'Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Barlow',
			'font-weight'    => '700',
			'font-size'      => '17px',
			'line-height'    => '1',
			'color'          => '#191f37',
			'additional-css' => 'text-transform: uppercase; letter-spacing: 2.363px;',
			'css-selectors'  => '.tags .tagtext, .share-wrap .share-text, .related-posts h4, #respond h3, #respond h4, .total-comments',
		),
	),

);
