<?php
/**
 * Subscribe Widget
 *
 * @package Realestate
 */

$menus['subscribe-widget'] = array(
	'icon'  => 'fa-envelope-open-o',
	'title' => esc_html__( 'Subscribe Widget', 'real-estate' ),
	'desc'  => esc_html__( 'From here, you can control the styling of subscribe widget.', 'real-estate' ),
);

$sections['subscribe-widget'] = array(
	array(
		'id'       => 'subscribe_widget_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Subscribe Widget Background', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image for subscribe widget from here.', 'real-estate' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'upload',
			'image_pattern' => 'nobg',
			'image_upload'  => get_template_directory_uri() . '/images/subscribe-bg.jpg',
			'repeat'        => 'no-repeat',
			'attachment'    => 'scroll',
			'position'      => 'center top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'subscribe_widget_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set subscribe widget padding from here.', 'real-estate' ),
		'std'      => array(
			'top'    => realestate_px2rem( '45px' ),
			'right'  => realestate_px2rem( '32px' ),
			'bottom' => realestate_px2rem( '40px' ),
			'left'   => realestate_px2rem( '32px' ),
		),
	),

	array(
		'id'    => 'subscribe_widget_typo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Typography Settings', 'real-estate' ),
	),
	array(
		'id'    => 'subscribe_widget_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Title Font', 'real-estate' ),
		'std'   => array(
			'preview-text'   => 'Get Stories Delivered to Your Inbox',
			'preview-color'  => 'dark',
			'font-family'    => 'Barlow',
			'font-weight'    => '700',
			'font-size'      => '28px',
			'line-height'    => '1.07',
			'color'          => '#ffffff',
			'additional-css' => 'letter-spacing: 0.448px;',
			'css-selectors'  => '.widget #wp-subscribe .title',
		),
	),
	array(
		'id'    => 'subscribe_widget_input_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Input Fields Font', 'real-estate' ),
		'std'   => array(
			'preview-text'   => 'Input Fileds',
			'preview-color'  => 'dark',
			'font-family'    => 'Source Sans Pro',
			'font-weight'    => '700',
			'font-size'      => '13px',
			'color'          => '#abacb0',
			'additional-css' => 'letter-spacing: 0.208px;',
			'css-selectors'  => '.widget #wp-subscribe input.email-field, .widget #wp-subscribe input.name-field',
		),
	),
	array(
		'id'    => 'subscribe_widget_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Text Font', 'real-estate' ),
		'std'   => array(
			'preview-text'   => 'Text',
			'preview-color'  => 'dark',
			'font-family'    => 'Source Sans Pro',
			'font-weight'    => '700',
			'font-size'      => '13px',
			'color'          => '#dedfe0',
			'additional-css' => 'letter-spacing: 0.208px;',
			'css-selectors'  => '#sidebar .widget #wp-subscribe p.text, #sidebar .widget .wp-subscribe-wrap .wps-consent-wrapper label, #sidebar .widget #wp-subscribe p.footer-text',
		),
	),

);
