<?php
/**
 * WP Real Estate Single Listing Tab
 *
 * @package Realestate
 */

$menus['wprep']['child']['wprep-single-listing'] = array(
	'title' => esc_html__( 'Single Listing', 'real-estate' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the WP Real Estate pages.', 'real-estate' ),
);

$sections['wprep-single-listing'] = array(

	array(
		'id'       => 'wprep_sidebar_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Sidebar Background', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'real-estate' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'wprep_sidebar_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set padding for single content and sidebar from here.', 'real-estate' ),
		'std'      => array(
			'top'    => realestate_px2rem( '30px' ),
			'right'  => realestate_px2rem( '30px' ),
			'bottom' => realestate_px2rem( '30px' ),
			'left'   => realestate_px2rem( '30px' ),
		),
	),

);
