<?php
/**
 * WP Real Estate General Tab
 *
 * @package Realestate
 */

$menus['wprep'] = array(
	'icon'  => 'fa-map-o',
	'title' => esc_html__( 'WP Real Estate', 'real-estate' ),
);

$menus['wprep']['child']['wprep-general'] = array(
	'title' => esc_html__( 'General', 'real-estate' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the WP Real Estate pages.', 'real-estate' ),
);

$mts_patterns = array(
	'nobg' => array( 'img' => $uri . 'bg-patterns/nobg.png' ),
);
for ( $i = 0; $i <= 52; $i++ ) {
	$mts_patterns[ 'pattern' . $i ] = array( 'img' => $uri . 'bg-patterns/pattern' . $i . '.png' );
}

for ( $i = 1; $i <= 29; $i++ ) {
	$mts_patterns[ 'hbg' . $i ] = array( 'img' => $uri . 'bg-patterns/hbg' . $i . '.png' );
}

$sections['wprep-general'] = array(

	array(
		'id'       => 'wprep_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Real Estate Pages Background', 'real-estate' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'real-estate' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#fafafa',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

);
