<?php
/**
 * The template for displaying search results pages.
 *
 * @package Realestate
 */

get_header();

realestate_action( 'before_content' ); ?>

	<div id="wrapper" class="clearfix">

		<div class="container">

			<div class="article">

				<?php
				// Elementor 'archive' location.
				if ( ! realestate_is_elementor( 'archive' ) ) {
				?>

				<div id="content_box">

					<?php if ( have_posts() ) : ?>

					<?php else : ?>
						<h1 class="page-title"><?php esc_html_e( 'Nothing Found', 'real-estate' ); ?></h1>
					<?php endif; ?>

					<?php
					if ( 'above' === realestate_get_settings( 'search_position' ) ) {
						get_search_form();
					}
					?>

					<section id="latest-posts" class="layout-default clearfix">

						<?php
						$j = 0;
						if ( have_posts() ) {
							while ( have_posts() ) {
								the_post();
								realestate_blog_articles( 'default' );
							}
						} else {
							get_template_part( 'template-parts/no', 'results' );
						}
						?>

					</section>

					<?php
					if ( 0 !== $j ) {
						realestate_pagination( realestate_get_settings( 'mts_pagenavigation_type' ) );
					}

					if ( 'below' === realestate_get_settings( 'search_position' ) ) {
						get_search_form();
					}
					?>
				</div>

				<?php realestate_action( 'after_content' ); ?>

				<?php
				}
				?>

			</div>

			<?php get_sidebar(); ?>

		</div><!-- end of .container -->

<?php
get_footer();
