<?php
/**
 * Homepage Section - About
 *
 * @package Realestate
 */

$about_title       = realestate_get_settings( 'about_title' );
$about_text        = realestate_get_settings( 'about_text' );
$about_button_text = realestate_get_settings( 'about_button_text' );
$about_button_url  = realestate_get_settings( 'about_button_url' );
$about_quote       = realestate_get_settings( 'about_quote' );
$about_author      = realestate_get_settings( 'about_author' );

if ( empty( $about_title ) && empty( $about_text ) && empty( $about_button_text ) && empty( $about_button_url ) && empty( $about_quote ) && empty( $about_author ) ) {
	return;
}
?>

<section class="about-section clearfix">

	<div class="container">

		<?php
		if ( ! empty( $about_title ) || ! empty( $about_text ) || ! empty( $about_button_text ) || ! empty( $about_button_url ) ) {
			printf(
				'<div class="left">
					<div class="heading"><h2 class="section-title">%1$s</h2></div>
					<div class="content">%2$s</div>
					<div class="button-wrap">
						<a href="%3$s" class="button">%4$s</a>
					</div>
				</div>',
				$about_title,
				$about_text,
				$about_button_url,
				$about_button_text
			);
		}
		if ( ! empty( $about_quote ) || ! empty( $about_author ) ) {
			printf(
				'<div class="right">
					<div class="quote">%1$s</div>
					<div class="author">%2$s</div>
				</div>',
				$about_quote,
				$about_author
			);
		}
		?>

	</div><!-- .container -->

</section>
