<?php
/**
 * Homepage Section - Clients
 *
 * @package Realestate
 */

$clients_title = realestate_get_settings( 'clients_title' );
$clients_text  = realestate_get_settings( 'clients_text' );
$clients_list  = realestate_get_settings( 'clients_list' );

if ( empty( $clients_title ) && empty( $clients_text ) && empty( $clients_list ) && ! is_array( $clients_list ) ) {
	return;
}
?>

<section class="clients-section clearfix">

	<div class="container">

		<?php

		if ( ! empty( $clients_title ) || ! empty( $clients_text ) ) {
			printf(
				'<div class="top">
					<div class="heading">
						<h2 class="section-title">%1$s</h2>
					</div>
					<div class="content">%2$s</div>
				</div>',
				$clients_title,
				$clients_text
			);
		}

		if ( $clients_list && is_array( $clients_list ) ) {

			// Clients lists.
			echo '<div class="clients-wrapper">';

			echo '<ul class="clients-container">';

			foreach ( $clients_list as $client ) {
				echo '<li><img src="' . $client['clients_image'] . '"></li>';
			}

			echo '</ul>';

			echo '</div>';

		}
		?>

	</div>

</section>
