<?php
/**
 * Homepage Section - Services
 *
 * @package Realestate
 */

$count         = 0;
$section_title = realestate_get_settings( 'services_top_title' );
$service_list  = realestate_get_settings( 'services_list' );

if ( empty( $section_title ) && empty( $service_list ) && ! is_array( $service_list ) ) {
	return;
}
?>

<section class="services-section">

	<div class="container clearfix">

		<?php

		if ( ! empty( $section_title ) ) {
			echo '<div class="heading"><h2 class="section-title">' . $section_title . '</h2></div>';
		}

		// Services.
		if ( ! empty( $service_list ) && is_array( $service_list ) ) {

			echo '<div class="services-container">';

			echo '<ul class="services-wrapper">';
			foreach ( $service_list as $service ) {
				printf(
					'<li class="service-%1$s">
						<div class="icon">
							 <i class="fa fa-%2$s"></i>
						</div>
						<div class="text-wrapper">
							<h3 class="title">%3$s</h3>
							<p>%4$s</p>
						</div>
					</li>',
					++$count,
					$service['services_list_icon'],
					$service['services_list_title'],
					$service['services_list_text']
				);
			}

			echo '</ul>';

			echo '</div>';

		}

		?>

	</div><!-- .container -->

</section>
