<?php
/**
 * Homepage Section - Why Us
 *
 * @package Realestate
 */

$count         = 0;
$section_title = realestate_get_settings( 'whyus_top_title' );
$whyus_list    = realestate_get_settings( 'whyus_list' );

if ( empty( $section_title ) && empty( $whyus_list ) && ! is_array( $whyus_list ) ) {
	return;
}
?>

<section class="whyus-section">

	<div class="container clearfix">

		<?php

		if ( ! empty( $section_title ) ) {
			echo '<div class="heading"><h2 class="section-title">' . $section_title . '</h2></div>';
		}

		// Services.
		if ( ! empty( $whyus_list ) && is_array( $whyus_list ) ) {

			echo '<div class="whyus-container">';

			echo '<ul class="whyus-wrapper">';
			foreach ( $whyus_list as $service ) {
				printf(
					'<li class="whyus-%1$s">
						<div class="icon">
							 <i class="fa fa-%2$s"></i>
						</div>
						<div class="text-wrapper">
							<h3 class="title">%3$s</h3>
							<p>%4$s</p>
						</div>
					</li>',
					++$count,
					$service['whyus_list_icon'],
					$service['whyus_list_title'],
					$service['whyus_list_text']
				);
			}

			echo '</ul>';

			echo '</div>';

		}

		?>

	</div><!-- .container -->

</section>
