<?php
/**
 * Posts Layout - Grid
 *
 * @package Realestate
 */

$featured = realestate()->featured_layouts;
?>

<div class="<?php $featured->get_post_container_class(); ?>">

	<div class="container clear">

		<div class="<?php realestate_article_class(); ?>">

			<?php
			// Elementor 'archive' location.
			if ( ! realestate_is_elementor( 'archive' ) ) {
			?>

			<?php $featured->get_section_title(); ?>

			<div id="content_box">

				<?php realestate_action( 'start_content_box' ); ?>

				<section class="<?php echo esc_attr( $featured->current['layout'] ); ?> clearfix">
					<?php
					while ( have_posts() ) :
						the_post();
						?>
						<article <?php post_class( 'latestPost excerpt' ); ?> id="post-<?php the_ID(); ?>">

							<?php $featured->get_post_thumbnail(); ?>

							<div class="wrapper">

								<?php

								$featured->get_post_meta();

								$featured->get_post_title();

								if ( realestate_get_settings( 'show_excerpt_' . $featured->current['unique_id'] ) ) {
									$featured->get_post_content();
								}

								?>

							</div>

						</article>
						<?php
					endwhile;

					$featured->get_post_pagination();
					?>
				</section><!--#latest-posts-->

			</div>

			<?php
			}
			?>

		</div>

		<?php $featured->get_sidebar(); ?>

	</div><!--.container-->

</div>
