<?php
/**
 * The Template for displaying the agency archive
 *
 * This template can be overridden by copying it to yourtheme/wp-real-estate/archive-agency.php.
 *
 * @package Realestate
 *
*/

get_header(); ?>

	<?php realestate_action( 'before_content' ); ?>

	<div id="wrapper" class="<?php realestate_single_page_class(); ?>">

		<div class="container clearfix">

			<article class="<?php realestate_article_class(); ?>">

				<div id="content_box">

					<?php
					/**
					 * @hooked wre_output_content_wrapper (outputs opening divs for the content)
					 *
					 */
					do_action( 'wre_before_main_content' );

					if ( have_posts() ) :

						/**
						 * @hooked wre_ordering (the ordering dropdown)
						 * @hooked wre_pagination (the pagination)
						 *
						 */
						do_action( 'wre_before_agency_loop' );

						$default_listing_mode = wre_default_display_mode();
						echo '<div id="wre-archive-wrapper">';
						echo '<ul class="wre-items ' . esc_attr( $default_listing_mode ) . '">';

						while ( have_posts() ) :
							the_post();
							wre_get_part( 'content-agency.php' );
						endwhile;

						echo '</ul>';
						echo '<div class="wre-orderby-loader"><img src="' . WRE_PLUGIN_URL . 'assets/images/loading.svg" /></div>';
						echo '</div>';

						/**
						 * @hooked wre_pagination (the pagination)
						 *
						 */
						do_action( 'wre_after_agency_loop' );

						else :
						?>

						<p class="alert wre-no-results"><?php _e( 'Sorry, no agenices were found.', 'wp-real-estate' ); ?></p>

						<?php
						endif;

						/**
						 * @hooked wre_output_content_wrapper_end (outputs closing divs for the content)
						 *
						 */
						do_action( 'wre_after_main_content' );

					?>

				</div>

			</article>

	</div>

<?php
get_footer();
