<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package Realestate
 */

get_header(); ?>

	<?php realestate_action( 'before_content' ); ?>

	<div id="wrapper" class="<?php realestate_single_page_class(); ?>">

		<?php
		/**
		 * Show Map
		 *
		 */
		if ( realestate_get_settings( 'listing_show_map' ) ) {
			echo do_shortcode( '[wre_search show_map="yes"]' );
		}
		?>

		<div class="container clearfix">

			<article class="<?php realestate_article_class(); ?>">

				<div id="content_box" >

				<?php
				/**
				 * @hooked wre_output_content_wrapper (outputs opening divs for the content)
				 *
				 */
				do_action( 'wre_before_main_content' );

				if ( have_posts() ) :

					$default_listing_mode = wre_default_display_mode();
					/*
					* @hooked wre_ordering (the ordering dropdown)
					* @hooked wre_pagination (the pagination)
					*
					*/
					do_action( 'wre_before_listings_loop' );

					echo '<div id="wre-archive-wrapper">';
					echo '<ul class="wre-items ' . esc_attr( $default_listing_mode ) . '">';

					while ( have_posts() ) :
						the_post();

						wre_get_part( 'content-listing.php' );

					endwhile;

					echo '</ul>';
					echo '<div class="wre-orderby-loader"><img src="' . WRE_PLUGIN_URL . 'assets/images/loading.svg" /></div>';
					echo '</div>';

					/*
					* @hooked wre_pagination (the pagination)
					*
					*/
					do_action( 'wre_after_listings_loop' );

					else :
					?>

					<p class="alert wre-no-results"><?php _e( 'Sorry, no listings were found.', 'real-estate' ); ?></p>

					<?php
				endif;

					/*
					* @hooked wre_output_content_wrapper_end (outputs closing divs for the content)
					*
					*/
					do_action( 'wre_after_main_content' );

				?>

				</div>

			</article>

	</div>

<?php
get_footer();
